<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
  <title>debconf5 | See you in hel</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css" media="all">@import "http://www.debconf.org/debconf5/misc/drupal.css";</style>
<style type="text/css">@import url(http://www.debconf.org/debconf5/modules/event/event.css);</style>
<link rel="alternate" type="application/rss+xml" title="RSS" href="http://www.debconf.org/debconf5/node/feed" />

  <style type="text/css" media="all">@import "http://www.debconf.org/debconf5/themes/debconf5/style.css";</style>

  <script type="text/javascript"> </script>
</head>

<body bgcolor="#ffffff" >

<div class="hide"><a href="http://www.debconf.org/debconf5/#content" title="Skip navigation." accesskey="2">Skip navigation</a>.</div>
      <!--a href="http://www.debconf.org/debconf5/" title="Home"><img src="http://www.debconf.org/debconf5/files/logo.png" alt="Home" width="144" height="63" border="0" /></a-->
      <!--div class='site-name'><a href="http://www.debconf.org/debconf5/./" title="Home">debconf5</a></div-->
<table id="top_line" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>

    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left_15.png"></td>
    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png"></td>
    <td width="15"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right_15.png"></td>
  </tr>
</table>
<table id="content" border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>	
	<td colspan="5">
		<table id="primary-menu" summary="Navigation elements." border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>

		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_left.png"></td>
		    <td class="top_left"><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_img.jpg"></a></td>
		    <td class="top_right" width="219" valign="top">
			   <table>
				<tr>
				  <td colspan="6"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="10"></td>
				</tr>
				<tr>
				  <td><a href="http://www.debconf.org/debconf5/"><img src="http://www.debconf.org/debconf5/themes/debconf5/home.jpg"></a></td>

				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/nav_divider.jpg"></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10" height="29"></td>
				  <td><a href="http://www.debconf.org/debconf5/search"><img src="http://www.debconf.org/debconf5/themes/debconf5/search.jpg"></a></td>
				  <td><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" width="10"></td>
				</tr>
				<tr>
				  <td colspan="6"><form action="http://comas.linux-aktivaattori.org/comas/general/proposals/search" method="post">
    				    <div id="search">

  		  	 	  	<input class="form-text" type="text" size="15" value="" name="keys" alt="Enter the terms you wish to search for." />
    				      	<input class="form-submit" type="submit" value="Search" alt="submit" />
				        </div>
				      </form></td>	
				</tr>
			   </table>
			</td>
		    <td width="5"><img src="http://www.debconf.org/debconf5/themes/debconf5/top_right.png"></td>
		  </tr>

		</table>
		<table id="bottom_line" border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tr>
		    <td class="middle" width="100%"><img src="http://www.debconf.org/debconf5/themes/debconf5/transparent.png" height="7"></td>
		  </tr>
		</table>	
	</td>
  </tr>
  <tr>
  	<td colspan="5">
<div id="container">
<br/>
	<div id="comas" style="margin-left: 4%">


<h1>Debian-Kernel Team Oveview and Status</h1>

<h2>Proposal details:</h2>

<table class="comas-table" width=100%>

<tr>
<td class="name">Abstract:</td>
<td class="input"><p><div class="hft-lines">I would like to lead attending members of the debian-kernel team in a talk that will serve as a status update for our team.  The Debian Kernel Team has been around for about a year now.<br />
<br />
Discussion topics would be mostly technical, but would include both social (how we work together) and political (non-free firmware) as well.<br />
<br />
Technical topics include:<br />
Introduction - Who are we, and what do we do?<br />
      * Maintenance of kernel-[source,image,patch-ARCH], initrd-tools, etc<br />
              * security for testing/unstable<br />
              * Package architecture.  What packages does our team create, and what are they for?  <br />
      * kernel-tree vs. kernel-source<br />
              * What kernel-headers do I need?<br />
              * What is the right way to file a bug?<br />
      * What bugs should be filed against the 'kernel' package, vs. a real package.<br />
              * Classes of bugs<br />
              * Build issues<br />
                      * Runtime issues<br />
                      * Where can you find our source?  An overview of our svn repo.<br />
      * Daily build testing - Simon Horman and I have both done some work in this area; hopefully we'll have some results by DebConf5 time.<br />
      * What requirements must a patch fulfill before we will include it<br />
      * Interacting with the debian-installer team (l-k-di)<br />
      * ABI changes; what they're for and why the suck<br />
      * Exist for module compatability<br />
              * Break upgrades (anecdotal ia64/vfat issue?)<br />
              * How ABI breaks break debian-installer<br />
              * Testing for ABI breaks<br />
              * How to build additional modules for our precompiled kernel-images<br />
      * How the architectures work together (or not) - sharing configs, build system; sharing source vs. kernel-patch-ARCH packages.<br />
      * All-kernels-from-one-source-package plans.  Sven Luther has been looking into building most (or all) of our kernels from a single source package.  What are the benefits?  What are the bottlenecks?  What is the status?<br />
      * What areas can we use help?<br />
      * Firmware; what is acceptable and what's not.  This topic maybe one to avoid, due to its political nature.  It maybe better to fork this off into a BOF.<br />
      * <br />
Why am I qualified for this talk?  The principle reason is that I won't be developing the content or speaking alone.  Topics are being worked out with the debian-kernel team, and there will be at least a few of us around to give the actual talk.  I began a discussion of topics last month:<br />
  http:/]2F2F2Flists.debian.org/debian-kernel/2005/02/msg00017.html<br />
<br />
I also plan to prepare the talk with the group.  I've setup a wiki for this purpose:<br />
  http://wiki.debian.net/?DebianKernelDebconf5<br />
<br />
<br />
My personal involvement with the debian-kernel team has been mostly as a port maintainer.  I took over maintenance of the ia64 kernel packages from Bdale a little over a year ago now, and I co-maintained these packages for some time before that.  I converted the packages from a rather manual system to an architecture similar to Herbert Xu's, and began tracking his kernel-source packages.  Once I joined the kernel team, I worked with Christopher Hellwig to merge the ia64 2.6 patches into our shared kernel-source package.  I also created the ia64 versions of the linux-kernel-di packages.  Outside of my porter role, I help out with the occasional security patch or bug fix.<br />
<br />
Qualification Links:<br />
 The 2.6/ia64 subtree of our svn repository:<br />
  http://svn.debian.org/wsvn/kernel/trunk/kernel/ia64/?rev=0&amp;sc=0<br />
 A couple of tools I created to provide daily status:<br />
  http://people.debian.org/~dannf/kernel-stats/kernel-avail.html<br />
  http://people.debian.org/~dannf/kernel-stats/kern-dep.html<br />
Some documentation I wrote:<br />
  http://wiki.debian.net/?DebianKernelTree<br />
 My first archived commit:<br />
http://lists.alioth.debian.org/pipermail/kernel-svn-changes/2004-July/000021.html<br />
And participation in what I think was our only formal irc meeting:<br />
  http://minbar.dodds.net/~vorlon/kernel-2.6.10-discussion.log<br /></div></p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Presentation type:</td>
<td class="input"><p>Talk (45 min)</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Track:</td>
<td class="input"><p>Technical</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

<tr>
<td class="name">Status:</td>
<td class="input"><p>Accepted</p></td>
<td class="error"><p>&nbsp;</p></td>
</tr>

</table>

<h2>Authors:</h2>

<ul>

<li><p>dann frazier</p>


</li>

</ul>

<h2>Files:</h2>

<ul>

<li><p><a href="file/debconf5-kernel-talk-0.2.tar.gz">debconf5-kernel-talk-0.2.tar.gz</a> (110
  K)<br /> 
  Paper, v0.2 - TeX & PDF formats</p>

<li><p><a href="file/debconf5-kernel-talk-0.3.tar.gz">debconf5-kernel-talk-0.3.tar.gz</a> (10
  K)<br /> 
  Paper, v0.3 - TeX & PDF formats</p>

</ul>

<center>
<input type="button" value="Go back" onClick="history.go(-1)">
</center>

	</div>
<br/>
<hr/>
</div>
<div id="bottom" class="margin-left: 4%">
&nbsp;<a href="http://www.debconf.org/debconf5">Debconf 5</a><br/> 
&nbsp;&nbsp;&nbsp;Powered by <a href="http://gborg.postgresql.org/project/comas">COMAS</a>, 
the Conference Management System by <a href="http://www.consol.org.mx">CONSOL</a>
</div>
</td>
</tr>
</table>

</body>
</html>

